r3.mask(1)

NAME
r3.mask - Establishes the current working 3D raster mask.

KEYWORDS
raster3d, mask, null data, no-data, voxel

SYNOPSIS
r3.mask
r3.mask --help
r3.mask map=string [maskvalues=val[-val][,val[-val],...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=string [required]
    3D raster map with reference values

maskvalues=val[-val][,val[-val],...]
    List of cell values to be masked out

DESCRIPTION
File map is used as reference file. Cells in the mask are marked as "mask out" if the corresponding cell in map contains a value in the range specified with maskvalues.

Before a new 3D-mask can be created the exisitng mask has to be removed with g.remove.

SEE ALSO
g.remove

AUTHORS
Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos Mitas, Jaro Hofierka

SOURCE CODE

Available at: r3.mask source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual